package com.muyu.context;

import com.muyu.model.process.DataProcessModel;
import lombok.Data;
import lombok.experimental.SuperBuilder;

/**
 * 数据模型上下文
 *
 * @ClassName DataModelContextHolder
 * @Author qdm
 */
@Data
@SuperBuilder
public class DataModelContextHolder {
    private static final ThreadLocal<DataProcessModel> THREAD_LOCAL = new ThreadLocal<>();

    private RecordContextHolder recordContextHolder;

    public static DataModelContextHolder build(RecordContextHolder recordContextHolder) {
        return DataModelContextHolder.builder()
                .recordContextHolder(recordContextHolder)
                .build();
    }

    public static DataProcessModel get() {
        return THREAD_LOCAL.get();
    }

    public static void set(DataProcessModel dataModelProcessModel) {
        THREAD_LOCAL.set(dataModelProcessModel);
    }

    public static void remove() {
        THREAD_LOCAL.remove();
    }
}
